MORText Class Reference

the main class to read the text part of More Text file More...

`#include <MORText.hxx>`

## Public Member Functions

| MORText (MORParser &parser)
| constructor More...
virtual | ~MORText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones ()
| try to create the text zones using read data More...
bool | sendMainText ()
| send a main zone More...
shared_ptr< MWAWSubDocument > | getHeaderFooter (bool header)
| returns a subdocument to send the header or the footer More...
bool | readTopic (MWAWEntry const &entry)
| read the list of topic positions More...
int | getLastTopicChildId (int tId) const
| returns the last sub topic id corresponding to a topic and its child More...
int | checkTopicList (size_t tId, std::set< size_t > &parent)
| check that the topic and its child does not loop (if so, cut some edge), return the number of breakpages in the sublist More...
bool | readComment (MWAWEntry const &entry)
| read the list of comment/header/footer zones More...
bool | readSpeakerNote (MWAWEntry const &entry)
| read the list of speaker note More...
bool | sendText (MWAWEntry const &entry, MWAWFont const &font)
| send a text entry More...
bool | sendComment (int cId)
| try to send a comment knowing the comment id More...
bool | sendSpeakerNote (int nId)
| try to send a speakernote knowing the note id More...
bool | sendTopic (int tId, int dLevel, std::vector< MWAWParagraph > &paraStack)
| try to send a topic knowing the topic id More...
bool | readFonts (MWAWEntry const &entry)
| read the list of fonts More...
bool | readOutlineList (MWAWEntry const &entry)
| read the list of outlines More...
bool | readOutline (MWAWEntry const &entry, MORTextInternal::Outline &outline)
| read a outline More...
bool | readFont (MWAWEntry const &entry, std::string &fName, int &fId)
| try to read a fontname More...
bool | readTabs (MWAWEntry const &entry, MORTextInternal::Paragraph &para, std::string &mess)
| try to read some tabs More...
bool | readCustomListLevel (MWAWEntry const &entry, MWAWListLevel &level)
| read a custom list level More...
bool | parseUnknown (MWAWEntry const &entry, long fDecal)
| try to read either a font, a fontname, a pattern, a int More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < MORTextInternal::State > | m_state
| the state More...
MORParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| MORText (MORText const &orig)
MORText & | operator= (MORText const &orig)

## Friends

class | MORParser
class | MORTextInternal::SubDocument

## Detailed Description

the main class to read the text part of More Text file

## Constructor & Destructor Documentation

MORText::MORText | ( | MORParser & | parser | ) |

constructor

MORText::~MORText | ( |  | ) |

virtual

destructor

MORText::MORText | ( | MORText const & | orig | ) |

private

## Member Function Documentation

int MORText::checkTopicList | ( | size_t | tId,
|  | std::set< size_t > & | parent
| ) |  |

protected

check that the topic and its child does not loop (if so, cut some edge), return the number of breakpages in the sublist

Referenced by createZones().

bool MORText::createZones | ( |  | ) |

protected

try to create the text zones using read data

Referenced by numPages().

shared_ptr< MWAWSubDocument > MORText::getHeaderFooter | ( | bool | header | ) |

protected

returns a subdocument to send the header or the footer

int MORText::getLastTopicChildId | ( | int | tId | ) | const

protected

returns the last sub topic id corresponding to a topic and its child

Referenced by checkTopicList(), and sendTopic().

int MORText::numPages | ( |  | ) | const

returns the number of pages

MORText& MORText::operator= | ( | MORText const & | orig | ) |

private

bool MORText::parseUnknown | ( | MWAWEntry const & | entry,
|  | long | fDecal
| ) |  |

protected

try to read either a font, a fontname, a pattern, a int

Referenced by readOutline().

bool MORText::readComment | ( | MWAWEntry const & | entry | ) |

protected

read the list of comment/header/footer zones

bool MORText::readCustomListLevel | ( | MWAWEntry const & | entry,
|  | MWAWListLevel & | level
| ) |  |

protected

read a custom list level

Referenced by readOutline().

bool MORText::readFont | ( | MWAWEntry const & | entry,
|  | std::string & | fName,
|  | int & | fId
| ) |  |

protected

try to read a fontname

Note
  : fId is set to -1 is the field contains only a fontname and can not find the associated id

Referenced by parseUnknown(), and readOutline().

bool MORText::readFonts | ( | MWAWEntry const & | entry | ) |

protected

read the list of fonts

bool MORText::readOutline | ( | MWAWEntry const & | entry,
|  | MORTextInternal::Outline & | outline
| ) |  |

protected

read a outline

Referenced by readOutlineList().

bool MORText::readOutlineList | ( | MWAWEntry const & | entry | ) |

protected

read the list of outlines

bool MORText::readSpeakerNote | ( | MWAWEntry const & | entry | ) |

protected

read the list of speaker note

bool MORText::readTabs | ( | MWAWEntry const & | entry,
|  | MORTextInternal::Paragraph & | para,
|  | std::string & | mess
| ) |  |

protected

try to read some tabs

Referenced by parseUnknown(), and readOutline().

bool MORText::readTopic | ( | MWAWEntry const & | entry | ) |

protected

read the list of topic positions

bool MORText::sendComment | ( | int | cId | ) |

protected

try to send a comment knowing the comment id

Referenced by MORTextInternal::SubDocument::parse().

bool MORText::sendMainText | ( |  | ) |

protected

send a main zone

bool MORText::sendSpeakerNote | ( | int | nId | ) |

protected

try to send a speakernote knowing the note id

Referenced by MORTextInternal::SubDocument::parse().

bool MORText::sendText | ( | MWAWEntry const & | entry,
|  | MWAWFont const & | font
| ) |  |

protected

send a text entry

Referenced by sendComment(), sendSpeakerNote(), and sendTopic().

bool MORText::sendTopic | ( | int | tId,
|  | int | dLevel,
|  | std::vector< MWAWParagraph > & | paraStack
| ) |  |

protected

try to send a topic knowing the topic id

Referenced by MORTextInternal::SubDocument::parse(), and sendMainText().

int MORText::version | ( |  | ) | const

returns the file version

Referenced by readOutline().

## Friends And Related Function Documentation

friend class MORParser

friend

friend class MORTextInternal::SubDocument

friend

## Member Data Documentation

MORParser* MORText::m_mainParser

protected

the main parser;

Referenced by parseUnknown(), readComment(), readOutlineList(), readSpeakerNote(), readTopic(), and sendTopic().

MWAWParserStatePtr MORText::m_parserState

protected

the parser state

Referenced by getHeaderFooter(), parseUnknown(), readComment(), readCustomListLevel(), readFont(), readFonts(), readOutline(), readOutlineList(), readSpeakerNote(), readTabs(), readTopic(), sendComment(), sendMainText(), sendSpeakerNote(), sendText(), sendTopic(), and version().

shared_ptr<MORTextInternal::State> MORText::m_state

protected

the state

Referenced by checkTopicList(), createZones(), getHeaderFooter(), getLastTopicChildId(), numPages(), readComment(), readOutlineList(), readSpeakerNote(), readTopic(), sendComment(), sendMainText(), sendSpeakerNote(), sendTopic(), and version().

The documentation for this class was generated from the following files:

- MORText.hxx
- MORText.cxx